> For the complete documentation index, see [llms.txt](https://docs.launchboard.app/cxd/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchboard.app/cxd/intro-to-informatics-and-web-development/1-6-javascript-objects.md).

# 1-6 Javascript Objects

An **object** is a collection of related data and/or functionality. This usually consists of several variables and functions, called properties and methods when they are inside objects.

**Properties** are the values associated with an object. They can usually be modified, added, and deleted.

**Methods** are the actions that can be performed on objects. They are properties containing a function definition.

[Car Object Example](https://www.w3schools.com/js/js_objects.asp)

This would all work the same in a video game. In a video game, you might have a character object. You can create as many versions of that character object as you need.

![](https://3718926237-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LDgX-RgU994GjN7nvcR%2F-LDgX6N0pHKbYL1KWUWR%2F-LDgX7Vvg56fUgPyc72W%2Fcharacter.png?generation=1527608019628790\&alt=media)

Properties of the character object could be hair style, skin color, clothing, eye color, weapon, special move, etc. Each of those properties would have a value:

```
character1.clothing = "red_flame_dress"
character1.weapon = "fireball"
character1.eyeColor = "blue"
```

This could all be combined in code like this:

```
var character1 = {clothing:"red_flame_dress", weapon:"fireball", eyeColor:"blue"};
```

The character would also have methods associated with it. The character could do things like walk, run, use their weapon, etc. It would look like this:

```
character1.run();
character1.throwFire();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.launchboard.app/cxd/intro-to-informatics-and-web-development/1-6-javascript-objects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
